#!/bin/sh

#######################################################################
# Name		: /public/scripts/deploy51.sh
# Purpose	: A script to deploy the CC EJBs. Based on Weblogic 5.1
# By		: Yariv Sheizaf
# Date		: 18-Dec-2001
#######################################################################


# using new jdk >= 1.3.1
JDK_HOME=/usr/local/j2sdk1_3_1_01
WEBLOGIC_HOME=/install/weblogic
WEBLOGIC_CLASSES=$WEBLOGIC_HOME/classes
cd $WEBLOGIC_HOME
JAVA_CLASSES=$JDK_HOME/jre/lib/rt.jar:./classes/boot
UNPACKED_JARS=$WEBLOGIC_HOME/lib/unpacked_jars

AUX=$WEBLOGIC_HOME/lib/weblogicaux.jar
JAVAX_EJB=$UNPACKED_JARS/javax_ejb.jar
JTS=$UNPACKED_JARS/javax_jts.jar
EJB=$JAVAX_EJB:$JTS:$AUX

APPLICATION_CLASSES=$WEBLOGIC_CLASSES/globecom/globalsale/ejbs
EJB_JARS=$WEBLOGIC_CLASSES/deploy

## NOTE : The xxx.jar is fictive - required jaust for calssspath computing completion. yariv. 18.12.01
JAVACLASSPATH=$JAVA_CLASSES:$EJB:./classes/Jars/jndi.jar:./classes/Jars/javax_ejb.zip:./classes/boot:./classes:./classes/Jars/NetComponents.jar:./classes/Jars/xxx.jar

CLASSPATH=$JAVACLASSPATH:$APPLICATION_CLASSES
echo ------ calling weblogic.ejbc for each ejb


echo ------ Deploying GcEJBs.jar
$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/GcEJBs_src.jar $EJB_JARS/GcEJBs.jar

#echo ------ Deploying Publisher.jar
#$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/Publisher_src.jar $EJB_JARS/Publisher.jar

#echo ------ Deploying NodeEntityEJB.jar
#$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/NodeEntityEJB_src.jar $EJB_JARS/NodeEntityEJB.jar

#echo ------ Deploying PKEntityEJB.jar
#$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/PKEntityEJB_src.jar $EJB_JARS/PKEntityEJB.jar

#echo ------ Deploying AccountEntityBean.jar
#$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/AccountEntityBean_src.jar $EJB_JARS/AccountEntityBean.jar

#echo ------ Deploying AdminSessionBean.jar
#$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/AdminSessionBean_src.jar $EJB_JARS/AdminSessionBean.jar

#echo ------ Deploying PKSchedulerBean.jar
#$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/PKSchedulerBean_src.jar $EJB_JARS/PKSchedulerBean.jar

#echo ------ Deploying ResourceEntityEJB.jar
#$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/ResourceEntityEJB_src.jar $EJB_JARS/ResourceEntityEJB.jar

#echo ------ Deploying ContentManager.jar
#$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/ContentManager_src.jar $EJB_JARS/ContentManager.jar

#echo ------ Deploying PublisherLog.jar
#$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/PublisheLog_src.jar $EJB_JARS/PublisheLog.jar

#echo ------ Deploying SchedulerLog.jar
#$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/SchdulerLog_src.jar $EJB_JARS/SchdulerLog.jar

#echo ------ Deploying UserEntityEJB.jar
#$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/UserEntityEJB_src.jar $EJB_JARS/UserEntityEJB.jar

#echo ------ Deploying systemLogger.jar
#$JDK_HOME/bin/java -classpath $JAVACLASSPATH$ weblogic.ejbc -d $WEBLOGIC_CLASSES $EJB_JARS/SystemLogger_src.jar $EJB_JARS/SystemLogger.jar

echo ------ calling weblogic.ejbc done
echo ------ CC bean's deployment finished.

